<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { warehousesDataTableProps } from '../../../datatable/props/warehousesDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ warehousesDataTableProps, DeleteEntityMixin ],

        methods: {

            showWarehouse(warehouse) {

                this.$router.push({ name: 'show', params: { id: warehouse.id }})
            },


            editWarehouse(warehouse) {

                this.$router.push({ name: 'edit', params: { id: warehouse.id }});
            },


            deleteWarehouse(warehouse) {

                swalConfirm()
                    .then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('warehouses', warehouse.id);
                        }
                    });
            }
        }
    }
</script>